
server.port = 8080

# адрес главной БД
main.datasource.url = jdbc:postgresql://vedzi_postgres:5432/vedomostzi
main.datasource.username = *****
main.datasource.password =*****

main.liquibase.change-log=com/avrora/vedomostzi/liquibase/changelog.xml

jmix.ui.login-screen-id = LoginScreen
jmix.ui.main-screen-id = MainScreen
jmix.ui.menu-config = com/avrora/vedomostzi/menu.xml
jmix.ui.composite-menu = true

# чтобы не отображалось имя пользователя и пароль по умолчанию
ui.login.defaultUsername =  
ui.login.defaultPassword =         

#настройки для LDAP++++++
jmix.ldap.urls = ldap://****.*****.spb.ru:389/
jmix.ldap.base-dn = dc=****,dc=spb,dc=ru
jmix.ldap.manager-dn = cn=****,cn=Users,dc=******,dc=spb,dc=ru
jmix.ldap.manager-password = **
#Для не Active Directory
#jmix.ldap.user-search-filter = (uid={0})

jmix.ldap.dafault-roles = flowui-minimal
#спиcок пользователей которые будет логинится не через ldap
jmix.ldap.standart-authentication-users = admin, bel, stibloAdmin
#роли берем из локального приложения а не из ldap
jmix.ldap.synchronize-role-assignments = false

#Для использования Active Directory(в КСП)
jmix.ldap.use-active-directory-configuration = true
jmix.ldap.user-search-filter = (&(objectClass=user)(sAMAccountName={1}))
jmix.ldap.active-directory-domain = ****.spb.ru


# Если хотим выключить LDAP(2 строки обязательно)
#jmix.ldap.enabled = false
#jmix.security.use-standart-security-configuration = true
#-----------------------

#for debugging LDAP problem first login
#logging.level.org.springframework.security=debug



jmix.reports.office-path = /usr/lib/libreoffice/program

#папка для хранения файлов (например рисунков планов фанерных коробок)
jmix.core.work-dir = /opt/dirforjmixfilestorage

jmix.reports.client.background-report-processing-timeout-ms = 600000
jmix.core.available-locales = ru,en

logging.level.org.atmosphere = warn

# 'debug' level logs SQL generated by EclipseLink ORM
logging.level.eclipselink.logging.sql = info

# 'debug' level logs data store operations
logging.level.io.jmix.core.datastore = info

# 'debug' level logs access control constraints
logging.level.io.jmix.core.AccessLogger = debug

# 'debug' level logs all Jmix debug output
logging.level.io.jmix = info
databaseisp.datasource.url=jdbc:sqlserver://SAPRSQL;databaseName=ISP;encrypt=false
databaseisp.datasource.username=***
databaseisp.datasource.password=***
jmix.core.additional-stores=databaseisp, databasepi, databasesp
databasepi.datasource.url=jdbc:sqlserver://SAPRSQL;databaseName=PI_SERVER;encrypt=false
databasepi.datasource.username=***
databasepi.datasource.password=****
databasesp.datasource.url=jdbc:sqlserver://AVRALSERVER;databaseName=SAPR_SP;encrypt=false;currentSchema=dbo
databasesp.datasource.username=***
databasesp.datasource.password=***
